Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class desire

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.intend
              jason.stdlib.desire

All Implemented Interfaces:
  InternalAction, java.io.Serializable

    public class desire

extends intend

Internal action: `.desire(D)`.

Description: checks whether D is a desire: D is a desire either if there is an event with `+!D` as triggering event or it is a goal in one of the agent's intentions.

Example:

- `.desire(go(1,3))`: true if `go(1,3)` is a desire of the agent.

See Also:
  `intend`, `drop_all_desires`, `drop_all_events`, `drop_all_intentions`, `drop_intention`, `drop_desire`, `succeed_goal`, `fail_goal`, `current_intention`, `suspend`, `suspended`, `resume`, Serialized Form

Constructor Summary
`desire()`

Method Summary
`boolean` | `desires(Circumstance C, Literal l, Unifier un)`
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.

Methods inherited from class jason.stdlib.intend
`checkArguments, getMaxArgs, getMinArgs, intends`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### desire

    public desire()

Method Detail

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `intend`
  Throws:
    `java.lang.Exception`

### desires

    public boolean desires(Circumstance C,
                           Literal l,
                           Unifier un)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD